<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE hibernate-mapping PUBLIC "-//Hibernate/Hibernate Mapping DTD 3.0//EN" "http://www.hibernate.org/dtd/hibernate-mapping-3.0.dtd">
<hibernate-mapping>
    <class name="com.arrebol.taxiservicios.model.core.PersonCommercialInvoice" table="person_commercial_invoice" catalog="prase">
        <id name="id" type="string">
            <column name="id" length="36" />
            <generator class="assigned"></generator>
        </id>
        <property name="idPerson" type="string">
            <column name="id_person" length="25" not-null="true" />
        </property>
        <property name="businessName" type="string">
            <column name="business_name" length="25" not-null="true" />
        </property>
        
         <property name="rfc" type="string">
            <column name="rfc" length="255"/>
        </property>
         <property name="address" type="string">
            <column name="address" length="255"/>
        </property>
        
        <property name="suburb" type="string">
            <column name="suburb" length="255"/>
        </property>
        
        <property name="state" type="string">
            <column name="state" length="255"/>
        </property>
        
        <property name="municipality" type="string">
            <column name="municipality" length="255"/>
        </property>
        
        <property name="country" type="string">
            <column name="country" length="255"/>
        </property>
        
        <property name="postalCode" type="string">
            <column name="postal_code" length="255"/>
        </property>
        
        <many-to-one class="com.arrebol.taxiservicios.model.catalog.RegimenFiscal" fetch="select" name="regimenFiscal">
            <column length="36" name="regimen_fiscal" not-null="false"/>
        </many-to-one>
    </class>
</hibernate-mapping>
